

%%%%%%%CTF%%%%%%%%%%%%%
magBase1 = load('n1-to-n32-magnitude.dat');
mag1 = magBase1(:,2);
freqMag = magBase1(:,1);

magBase2 = load('n1-to-n18-magnitude.dat');
mag2 = magBase2(:,2);

magBase3 = load('n18-to-n27-magnitude.dat');
mag3 = magBase3(:,2);

magBase4 = load('n27-to-n28-magnitude.dat');
mag4 = magBase4(:,2);

magBase5 = load('n28-to-n32-magnitude.dat');
mag5 = magBase5(:,2);



%vykresleni
figure;
hold on;
set(gcf,'color','w');
plot(freqMag, mag1, 'r', 'Linewidth',2);
plot(freqMag, mag2, 'g', 'Linewidth',2);
plot(freqMag, mag3, 'b', 'Linewidth',2);
plot(freqMag, mag4, 'k', 'Linewidth',2);
plot(freqMag, mag5, 'c', 'Linewidth',2);

grid on;
xlabel('Frekvence [MHz] \rightarrow','FontName','Arial','FontSize',14);
ylabel('|H(f)| ([dB] \rightarrow','FontName','Arial','FontSize',14);
%title ('CTF', 'FontName','Arial','FontSize',14);
legend('n1->n32','n1->n18', 'n18->n27', 'n27->n28', 'n28->n32');






